## openjdk-7 7u95-2.6.4

=== debian/changelog ===
openjdk-7 (7u95-2.6.4-1~deb7u1) wheezy-security; urgency=low

  * Rebuild for wheezy-security

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 27 Jan 2016 00:32:45 +0100

openjdk-7 (7u95-2.6.4-1) unstable; urgency=high

  [ Tiago Stürmer Daitx ]
  * IcedTea release 2.6.4 (based on 7u95):
  * Security fixes
    - S8059054, CVE-2016-0402: Better URL processing
    - S8130710, CVE-2016-0448: Better attributes processing
    - S8132210: Reinforce JMX collector internals
    - S8132988: Better printing dialogues
    - S8133962, CVE-2016-0466: More general limits
    - S8137060: JMX memory management improvements
    - S8139012: Better font substitutions
    - S8139017, CVE-2016-0483: More stable image decoding
    - S8140543, CVE-2016-0494: Arrange font actions
    - S8143185: Cleanup for handling proxies
    - S8143941, CVE-2015-8126, CVE-2015-8472: Update splashscreen displays
    - S8144773, CVE-2015-7575: Further reduce use of MD5 (SLOTH)
  * debian/patches/it-debian-build-flags.diff: refreshed
  * debian/patches/it-set-compiler.diff: refreshed
  * debian/patches/it-use-quilt.diff: refreshed
  * debian/patches/it-jamvm-2.0.diff: refreshed
  * debian/patches/icedtea-pretend-memory.diff: refreshed
  * debian/patches/fix_extra_flags-default.diff: refreshed
  * debian/patches/zero-sparc.diff: refreshed

  [ Matthias Klose ]
  * Remove obsolete IcedTea configure options.
  * Fix build failure on squeeze (Thorsten Glaser). Closes: #809205.
  * Don't run the test on mips, still having stone age buildd hardware and
    empty promises to fix these issues since 2010.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Jan 2016 13:17:54 +0100

openjdk-7 (7u91-2.6.3-3) unstable; urgency=medium

  * Fix stripping packages (use bash instead of expr substring).
  * openjdk-jre-headless: Add dependency on the package containing the
    mountpoint binary. Closes: #803717.
  * openjdk-7-jdk: Fix typo in sdk provides. Closes: #803150.
  * Build using giflib 5.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 30 Nov 2015 06:27:48 +0100

openjdk-7 (7u91-2.6.3-2) unstable; urgency=medium

  * Enable sparc64 for hotspot (John Paul Adrian Glaubitz).
  * Add debian/patches/sparc-libproc-fix.diff to include missing
    headers on sparc64 (David Matthew Mattli). Closes: #805846.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Nov 2015 23:38:54 +0100

openjdk-7 (7u91-2.6.3-1) unstable; urgency=medium

  [ Tiago Stürmer Daitx ]
  * Icedtea release 2.6.3 (based on 7u91):
  * Security fixes
    - S8142882, CVE-2015-4871: rebinding of the receiver of a DirectMethodHandle may
      allow a protected method to be accessed

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Nov 2015 01:27:25 +0100

openjdk-7 (7u91-2.6.2-1) unstable; urgency=medium

  [ Tiago Stürmer Daitx ]
  * IcedTea release 2.6.2 (based on 7u91):
  * Security fixes
    - S8048030, CVE-2015-4734: Expectations should be consistent
    - S8068842, CVE-2015-4803: Better JAXP data handling
    - S8076339, CVE-2015-4903: Better handling of remote object invocation
    - S8076383, CVE-2015-4835: Better CORBA exception handling
    - S8076387, CVE-2015-4882: Better CORBA value handling
    - S8076392, CVE-2015-4881: Improve IIOPInputStream consistency
    - S8076413, CVE-2015-4883: Better JRMP message handling
    - S8078427, CVE-2015-4842: More supportive home environment
    - S8078440: Safer managed types
    - S8080541: More direct property handling
    - S8080688, CVE-2015-4860: Service for DGC services
    - S8081760: Better group dynamics
    - S8086092, CVE-2015-4840: More palette improvements
    - S8086733, CVE-2015-4893: Improve namespace handling
    - S8087350: Improve array conversions
    - S8103671, CVE-2015-4805: More objective stream classes
    - S8103675: Better Binary searches
    - S8130078, CVE-2015-4911: Document better processing
    - S8130193, CVE-2015-4806: Improve HTTP connections
    - S8130864: Better server identity handling
    - S8130891, CVE-2015-4843: (bf) More direct buffering
    - S8131291, CVE-2015-4872: Perfect parameter patterning
    - S8132042, CVE-2015-4844: Preserve layout presentation
  * d/patches/it-debian-build-flags.diff: refreshed
  * d/patches/it-set-compiler.diff: refreshed
  * d/patches/it-use-quilt.diff: refreshed and updated
  * d/patches/it-jamvm-2.0.diff: refreshed
  * d/patches/xrender: removed as it was applied upstream

 -- Matthias Klose <doko@ubuntu.com>  Sun, 25 Oct 2015 22:30:06 +0100

openjdk-7 (7u85-2.6.1-6) unstable; urgency=medium

  [ Tiago Stürmer Daitx ]
  * Security fixes
    - S8048030, CVE-2015-4734: Expectations should be consistent
    - S8068842, CVE-2015-4803: Better JAXP data handling
    - S8076339, CVE-2015-4903: Better handling of remote object invocation
    - S8076383, CVE-2015-4835: Better CORBA exception handling
    - S8076387, CVE-2015-4882: Better CORBA value handling
    - S8076392, CVE-2015-4881: Improve IIOPInputStream consistency
    - S8076413, CVE-2015-4883: Better JRMP message handling
    - S8078427, CVE-2015-4842: More supportive home environment
    - S8078440: Safer managed types
    - S8080541: More direct property handling
    - S8080688, CVE-2015-4860: Service for DGC services
    - S8081744, CVE-2015-4868: Clear out list corner case
    - S8081760: Better group dynamics
    - S8086092. CVE-2015-4840: More palette improvements
    - S8086733, CVE-2015-4893: Improve namespace handling
    - S8087350: Improve array conversions
    - S8103671, CVE-2015-4805: More objective stream classes
    - S8103675: Better Binary searches
    - S8129611: Accessbridge error handling improvement
    - S8130078, CVE-2015-4911: Document better processing
    - S8130185: More accessible access switch
    - S8130193, CVE-2015-4806: Improve HTTP connections
    - S8130864: Better server identity handling
    - S8130891, CVE-2015-4843: (bf) More direct buffering
    - S8131291, CVE-2015-4872: Perfect parameter patterning
    - S8132042, CVE-2015-4844: Preserve layout presentation

